Debian Bug report logs - #363061
Contains non-free runtime files

Package: texlive-latex-base; Maintainer for texlive-latex-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-latex-base is src:texlive-base.

Reported by: Frank Küster <frank@debian.org>

Date: Mon, 17 Apr 2006 12:03:42 UTC

Severity: serious

Tags: etch-ignore

Done: Frank Küster <frank@kuesterei.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tetex-extra: palatcm.sty is non-free
Date: Fri, 14 Apr 2006 15:14:03 +0200
Package: tetex-extra
Version: 3.0-16bpo1
Severity: serious

palatcm.sty contains a license statement that requires renaming, which
is okay according to DFSG #4:

,----
| %%% Copyright (C) 1994 Aloysius G. Helminck. All rights reserved. 
| %%% Permission is granted to to customize the declarations in this 
| %%% file to serve the needs of your installation. However, no permission
| %%% is granted to distribute a modified version of this file under 
| %%% its original name. 
`----

But it doesn't even allow use - don't know whether this is implicitly
granted? 

The fd files in the same directory don't have any copyright or license
statement at all; don't know whether they need one. 

And I don't know whether this package is still useful today at all...

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 363061@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@web.de>
To: Frank Küster <frank@debian.org>, 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Mon, 17 Apr 2006 20:47:34 +0200
On Fri, Apr 14, 2006 at 15:14 +0200, Frank Küster wrote:
> 
> ,----
> | %%% Copyright (C) 1994 Aloysius G. Helminck. All rights reserved. 
> | %%% Permission is granted to to customize the declarations in this 
> | %%% file to serve the needs of your installation. However, no permission
> | %%% is granted to distribute a modified version of this file under 
> | %%% its original name. 
> `----
> 
> But it doesn't even allow use - don't know whether this is implicitly
> granted? 

I would vote for implicitly granted usage rights, but IANAL.
 
> The fd files in the same directory don't have any copyright or license
> statement at all; don't know whether they need one. 
> 
> And I don't know whether this package is still useful today at all...

I don't think so. There are better ways to get math for palatino. T1
encoding is not supported. I guess these files are only in there for
compatibility with (really) old documents. 

BTW, the way these files are arranged in different directories is really
odd: 

STY and FD in TEXMF/tex/latex/palatcm
TFM and VF in TEXMF/fonts/{tfm,vf}/adobe/mathppl/

However, in TEXMF/tex/latex/mathpple (note the 'e'), there are old FD
files for getting Helvetica scaled to 95%, while mathpple.sty is an
obsolete styfile from PSNFSS located in TEXMF/tex/latex/psnfss. I don't
claim to understand this mess.

cheerio
ralf

 





Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: debian-legal <debian-legal@lists.debian.org>
Cc: 363061@bugs.debian.org
Subject: Implicit granting of rights? (was: Bug#363061: tetex-extra: palatcm.sty is non-free)
Date: Tue, 18 Apr 2006 09:18:44 +0200
Hi debian-legal,

Ralf Stubner <ralf.stubner@web.de> wrote:

> On Fri, Apr 14, 2006 at 15:14 +0200, Frank Küster wrote:
>> 
>> ,----
>> | %%% Copyright (C) 1994 Aloysius G. Helminck. All rights reserved. 
>> | %%% Permission is granted to to customize the declarations in this 
>> | %%% file to serve the needs of your installation. However, no permission
>> | %%% is granted to distribute a modified version of this file under 
>> | %%% its original name. 
>> `----

That would be just on the right side of the border set by DFSG #4 (note
that it's a TeX input file, so it is both source and used form), but

>> But it doesn't even allow use - don't know whether this is implicitly
>> granted? 
>
> I would vote for implicitly granted usage rights, but IANAL.

Can we in fact assume such implicit granting of rights?  It seems logic
to me, because there are no "needs of your installation" if all I may do
is meditate over the contents of the file.  But I'm not sure whether
what seems logic to me is logic in IP law...

TIA, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Ralf Stubner <ralf.stubner@web.de>
Cc: 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Tue, 18 Apr 2006 09:21:47 +0200
Ralf Stubner <ralf.stubner@web.de> wrote:

>> The fd files in the same directory don't have any copyright or license
>> statement at all; don't know whether they need one. 

Even worse, they contain the statement:

%Filename: <whatever>
%Created by: tex fontplcm
%Created using fontinst v1.335

But there's no file "fontplcm" anywhere, only
ftp://tug.ctan.org/pub/tex-archive/fonts/psfonts/psnfss-source/mathpple/fontplcme.tex
(note the additional e) which doesn't seem to be related.

>> And I don't know whether this package is still useful today at all...
>
> I don't think so. There are better ways to get math for palatino. T1
> encoding is not supported. I guess these files are only in there for
> compatibility with (really) old documents. 

texlive doesn't have that relict.

> BTW, the way these files are arranged in different directories is really
> odd: 
>
> STY and FD in TEXMF/tex/latex/palatcm
> TFM and VF in TEXMF/fonts/{tfm,vf}/adobe/mathppl/
>
> However, in TEXMF/tex/latex/mathpple (note the 'e'), there are old FD
> files for getting Helvetica scaled to 95%, while mathpple.sty is an
> obsolete styfile from PSNFSS located in TEXMF/tex/latex/psnfss. I don't
> claim to understand this mess.

Do you know if that mess originates from the CTAN locations, or is it
only in teTeX?

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 363061@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
To: Frank Küster <frank@debian.org>, 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Wed, 19 Apr 2006 15:08:41 +0200
Frank Küster wrote:
>>> The fd files in the same directory don't have any copyright or license
>>> statement at all; don't know whether they need one. 
> 
> Even worse, they contain the statement:
> 
> %Filename: <whatever>
> %Created by: tex fontplcm
> %Created using fontinst v1.335

BTW, the corresponding TFM/VF are also a result from fontplcm.tex. :-(

> But there's no file "fontplcm" anywhere, only
> ftp://tug.ctan.org/pub/tex-archive/fonts/psfonts/psnfss-source/mathpple/fontplcme.tex
> (note the additional e) which doesn't seem to be related.

That one is indeed unrelated. It uses the Euler fonts for the greek
letters, not the CM fonts.

[...]
> Do you know if that mess originates from the CTAN locations, or is it
> only in teTeX?

No idea.

cheerio
ralf




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 363061@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Frank Küster <frank@debian.org>
Cc: debian-legal <debian-legal@lists.debian.org>, 363061@bugs.debian.org
Subject: Re: Implicit granting of rights?
Date: Wed, 19 Apr 2006 12:45:02 -0700
[Message part 1 (text/plain, inline)]
Frank Küster wrote:
> Ralf Stubner <ralf.stubner@web.de> wrote:
>> On Fri, Apr 14, 2006 at 15:14 +0200, Frank Küster wrote:
>>> ,----
>>> | %%% Copyright (C) 1994 Aloysius G. Helminck. All rights reserved. 
>>> | %%% Permission is granted to to customize the declarations in this 
>>> | %%% file to serve the needs of your installation. However, no permission
>>> | %%% is granted to distribute a modified version of this file under 
>>> | %%% its original name. 
>>> `----
> 
> That would be just on the right side of the border set by DFSG #4 (note
> that it's a TeX input file, so it is both source and used form), but

No, it falls just on the wrong side; licenses can restrict the name of
the *work*, as in the human-parsable name, but filenames serve as a
functional component of a work.  This issue came up with the previous
version of the LPPL.

For example, would you accept as DFSG-free a license which said you must
change the SONAME of a library if you changed the library?  That would
mean you could not legally create a compatible work.

>>> But it doesn't even allow use - don't know whether this is implicitly
>>> granted? 
>> I would vote for implicitly granted usage rights, but IANAL.
> 
> Can we in fact assume such implicit granting of rights?  It seems logic
> to me, because there are no "needs of your installation" if all I may do
> is meditate over the contents of the file.  But I'm not sure whether
> what seems logic to me is logic in IP law...

Generally, I think you can assume the right to *use* something.
However, you can't assume the right to modify or distribute, and this
license does not grant any permission to distribute.  It also seems to
restrict which modifications you can make; among other things, you can't
modify it to serve the needs of *other* installations, or modify
anything other than declarations.  It may well *intend* to grant the
right to distribute (unmodified or with another filename) and the right
to all possible modifications, but it doesn't appear to actually do so.

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Josh Triplett <josh@freedesktop.org>
Cc: 363061@bugs.debian.org, debian-legal <debian-legal@lists.debian.org>
Subject: Re: Bug#363061: Implicit granting of rights?
Date: Thu, 20 Apr 2006 09:54:30 +0200
Josh Triplett <josh@freedesktop.org> wrote:

> No, it falls just on the wrong side; licenses can restrict the name of
> the *work*, as in the human-parsable name, but filenames serve as a
> functional component of a work.  This issue came up with the previous
> version of the LPPL.

You are right.  Let's just remove it, it's obsolete cruft anyway, useful
only for some hypothetical centuries-old documents.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
Cc: 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Thu, 20 Apr 2006 11:51:12 +0200
Ralf Stubner <ralf.stubner@physik.uni-erlangen.de> wrote:

> Frank Küster wrote:
>>>> The fd files in the same directory don't have any copyright or license
>>>> statement at all; don't know whether they need one. 
>> 
>> Even worse, they contain the statement:
>> 
>> %Filename: <whatever>
>> %Created by: tex fontplcm
>> %Created using fontinst v1.335
>
> BTW, the corresponding TFM/VF are also a result from fontplcm.tex. :-(
[...]
>> Do you know if that mess originates from the CTAN locations, or is it
>> only in teTeX?
>
> No idea.

But you seem to be the person who has the clearest understanding of what
the mess is, and where files are dispersed.  Now that we've established
that the thing is non-free - could you provide a list of them, so that
we can remove them?

TIA, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 363061@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
To: Frank Küster <frank@debian.org>, 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Thu, 20 Apr 2006 13:46:47 +0200
On Thu, Apr 20, 2006 at 11:51 +0200, Frank Küster wrote:
> 
> But you seem to be the person who has the clearest understanding of what
> the mess is, and where files are dispersed.  Now that we've established
> that the thing is non-free - could you provide a list of them, so that
> we can remove them?

Sure. And I'll try to document how to find such things.

Starting point is /usr/share/texmf-tetex/tex/latex/palatcm/palatcm.sty.
In there different symbol fonts for the font family 'pplcm' are defined
with encodings OT1, OML, OMS, and OMX. In order to use these font
families, LaTeX will look for files named <encoding><family>.fd. All
these files are in the same directory, and that's all that is there:

$ ls /usr/share/texmf-tetex/tex/latex/palatcm/
omlpplcm.fd  omspplcm.fd  omxpplcm.fd  ot1pplcm.fd  palatcm.sty  

These files define the mapping between LaTeX fonts names and TeX
(virtual) fonts. The following TeX (virtual) fonts are referred to:

zpplcmrm zpplcmbm zpplcmry zpplcmby zpplcmrv zpplcmr zpplcmb

dlocate tells me that for each of these virtual fonts there is a TFM and
a VF file in /usr/share/texmf-tetex/fonts/tfm/adobe/mathppl/ and
/usr/share/texmf-tetex/fonts/vf/adobe/mathppl/, respectively.

Now we could look into these virtual fonts with, eg,

vftovp $(kpsewhich zpplcmby.vf) $(kpsewhich zpplcmby.tfm) | less

to see what fonts are used in there (cmbsy10 and pzcmi8r=Zapf Chancery in
this case). It might be, that palatcm contained other fonts that are
used here. However, this is not the case. These virtual fonts use CM and
PSNFSS fonts only.

I did not find any documentation for palatcm.sty.  

Summary, the following directories (relative to TEXMFDIST) have to be
removed together with their content:

fonts/tfm/adobe/mathppl
fonts/vf/adobe/mathppl
tex/latex/palatcm

cheerio
ralf



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
Cc: 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Thu, 20 Apr 2006 14:08:07 +0200
Ralf Stubner <ralf.stubner@physik.uni-erlangen.de> wrote:

> Sure. And I'll try to document how to find such things.

Thanks for the explanation!

> Starting point is /usr/share/texmf-tetex/tex/latex/palatcm/palatcm.sty.
> In there different symbol fonts for the font family 'pplcm' are defined
> with encodings OT1, OML, OMS, and OMX. In order to use these font
> families, LaTeX will look for files named <encoding><family>.fd. All
> these files are in the same directory, and that's all that is there:
>
> $ ls /usr/share/texmf-tetex/tex/latex/palatcm/
> omlpplcm.fd  omspplcm.fd  omxpplcm.fd  ot1pplcm.fd  palatcm.sty  

This far I got, too.

> These files define the mapping between LaTeX fonts names and TeX
> (virtual) fonts. The following TeX (virtual) fonts are referred to:
>
> zpplcmrm zpplcmbm zpplcmry zpplcmby zpplcmrv zpplcmr zpplcmb

The other instances of \DeclareFontShape don't point to a font?  Like 

\DeclareFontShape{OMS}{pplcm}{l}{n}{<->ssub * pplcm/m/n}{}

Is this just a declaration to substitute pplcm/l/n with pplcm/m/n?

> Summary, the following directories (relative to TEXMFDIST) have to be
> removed together with their content:
>
> fonts/tfm/adobe/mathppl
> fonts/vf/adobe/mathppl
> tex/latex/palatcm

Thank you,

Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 363061@bugs.debian.org (full text, mbox):

From: Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>
To: Frank Küster <frank@kuesterei.ch>, 363061@bugs.debian.org
Subject: Re: Bug#363061: tetex-extra: palatcm.sty is non-free
Date: Thu, 20 Apr 2006 14:40:09 +0200
On Thu, Apr 20, 2006 at 14:08 +0200, Frank Küster wrote:

> The other instances of \DeclareFontShape don't point to a font?  Like 
> 
> \DeclareFontShape{OMS}{pplcm}{l}{n}{<->ssub * pplcm/m/n}{}
> 
> Is this just a declaration to substitute pplcm/l/n with pplcm/m/n?

Yes, this is a (silent) substitution of one font with another one. Note
that this is still at the level of LaTeX's NFSS, not at the level of
(virtual) TeX fonts.

cheerio
ralf

PS: Looking into virtual fonts is much easier than what I wrote in my
    last mail. 'vftovp  zpplcmb | less' is enough, since vftovp uses
    kpsewhich and adds .vf and an equally named tfm file all by itself.
    Some tools are just to intelligent ...



Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: tech-support@ams.org
Cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>
Subject: Unclear License of AMSLaTeX
Date: Thu, 27 Apr 2006 19:32:54 +0200
Dear AMSLaTeX team,

I'm a little confused with regard to the license of amslatex.  On CTAN
and in the TeX Catalogue, the license information says that it is
licensed under the LPPL (LaTeX Project Public License).  However,
neither on amslatex' homepage, http://www.ams.org/tex/amslatex.html, nor
in the files on CTAN is a hint that this is actually true.

On the contrary, one of the files in the amsrefs subdirectory,
pcatcode.dtx, says that it's licensed under the Artistic license (which
is pretty unspecific, there are many versions around), and most other
files contain a statement like this:

%%%     copyright       = "Copyright 1995 American Mathematical Society,
%%%                        all rights reserved.  Copying of this file is
%%%                        authorized only if either:
%%%                        (1) you make absolutely no changes to your copy,
%%%                        including name; OR
%%%                        (2) if you do make changes, you first rename it
%%%                        to some other name.",

This is clearly not what the LPPL grants and requires, not even older
versions:

- it does not permit to distribute changed versions, even when renamed, 

- the current LPPL allows to change the internal identification as an
  alternative to renaming the file, and

- this text doesn't even allow to copy amsclass.dtx to amsclass.dtx.bak

I am sure this is not what was originally intended.  Therefore I'd like
to kindly request that you clarify the license situation, communicate
this to distributors, and include the information in the next release.
In my opinion, the LPPL is indeed a good choice for a LaTeX extension,
and I'd be glad to see amslatex unambiguously LPPL'ed.

Anyway, many thanks for providing and maintaining this great LaTeX
extension! 

Kind regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to tech-support@ams.org:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 363061@bugs.debian.org (full text, mbox):

From: AMS Technical Support <tech-support@ams.org>
To: "[iso-8859-1] Frank Kster" <frank@kuesterei.ch>
Cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>, tech-support@ams.org
Subject: re: Unclear License of AMSLaTeX
Date: Fri, 28 Apr 2006 10:20:54 -0400 (EDT)
[Message part 1 (text/plain, inline)]
hi, frank, et al.

please be assured that our intent is simply to ensure
that, when one of our authors uses an ams-latex package,
s/he can be certain that it is the one that we support,
not a modified version.  there is no intent to restrict
distribution of changed versions as long as the name
has been changed and any indication that ams is the
source of support has been removed.  (this applies as
well to ams-tex and amsfonts, which are on ctan, and
to specific ams author packages, which are not.)

the wording of the copyright is drawn from knuth's
original on tex itself, long before latex or any similar
license existed.  we have used this wording from our very
first release of ams-tex, and haven't changed it since then.
the latex team has accepted in good faith that our intent
coincides with theirs, but with the growing controversy
over the wording of licenses, it appears this acceptance
is not general.

i'm not really familiar with the file pcatcode.dtx.
amsrefs has always been in the purview of another person,
first michael downes, and now david jones.  however, i
know that michael was a party to many latex license
discussions, and that is perhaps why he chose to cite
the artistic license rather than use the "usual" ams
statement.  since he's no longer with us, we can't know
for sure, although i'm willing to ask frank mittelbach.

regarding the "usual" ams statement, i've started a
discussion here about possibly changing the statement
to the lppl, or whatever is appropriate that will still
ensure the "authority" of what is in distribution so
that we won't be blind-sided by author submissions
based on modified versions that we're not aware of,
and can't support.  it's very important to us that
ams-latex has been adopted into standard latex; we
hope the entire community benefits -- we certainly do.

any change will have to be approved here by higher
management, and we are not likely to distribute a new
release without also taking into account the bug reports
that have surfaced since the last release, so getting
something done will take some time.  but we will try.

Barbara Beeton
Technical Support
American Mathematical Society
Phone: 800-321-4AMS (321-4267) or 401-455-4080
Internet: tech-support@ams.org

p.s.  your message to tech-support was trapped by
our spam filter, although the copy to tex-live was
not.  i'm totally confused, and have turned that
over to our systems gurus to decipher.  do you have
any ideas why this might have happened?

---------- Original message ----------
Date: Thu, 27 Apr 2006 19:32:54 +0200
From: "[iso-8859-1] Frank Küster" <frank@kuesterei.ch>
To: tech-support@ams.org
Cc: 363061@bugs.debian.org, TeXLive <texlive@tug.org>
Subject: Unclear License of AMSLaTeX

Dear AMSLaTeX team,

I'm a little confused with regard to the license of amslatex.  On CTAN
and in the TeX Catalogue, the license information says that it is
licensed under the LPPL (LaTeX Project Public License).  However,
neither on amslatex' homepage, http://www.ams.org/tex/amslatex.html, nor
in the files on CTAN is a hint that this is actually true.

On the contrary, one of the files in the amsrefs subdirectory,
pcatcode.dtx, says that it's licensed under the Artistic license (which
is pretty unspecific, there are many versions around), and most other
files contain a statement like this:

%%%     copyright       = "Copyright 1995 American Mathematical Society,
%%%                        all rights reserved.  Copying of this file is
%%%                        authorized only if either:
%%%                        (1) you make absolutely no changes to your copy,
%%%                        including name; OR
%%%                        (2) if you do make changes, you first rename it
%%%                        to some other name.",

This is clearly not what the LPPL grants and requires, not even older
versions:

- it does not permit to distribute changed versions, even when renamed,

- the current LPPL allows to change the internal identification as an
  alternative to renaming the file, and

- this text doesn't even allow to copy amsclass.dtx to amsclass.dtx.bak

I am sure this is not what was originally intended.  Therefore I'd like
to kindly request that you clarify the license situation, communicate
this to distributors, and include the information in the next release.
In my opinion, the LPPL is indeed a good choice for a LaTeX extension,
and I'd be glad to see amslatex unambiguously LPPL'ed.

Anyway, many thanks for providing and maintaining this great LaTeX
extension!

Kind regards, Frank
--
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to karl@freefriends.org (Karl Berry):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 363061@bugs.debian.org (full text, mbox):

From: karl@freefriends.org (Karl Berry)
To: frank@kuesterei.ch, 363061@bugs.debian.org, texlive@tug.org
Subject: Re: [tex-live] Unclear License of AMSLaTeX
Date: Fri, 28 Apr 2006 13:00:39 -0500
    - the current LPPL allows to change the internal identification as an
       alternative to renaming the file, and

Indeed, this is the main difference between the "Knuth" license and the
current LPPL, as I know you know.

    - it does not permit to distribute changed versions, even when renamed,

Well, once you have a changed version, further copying of that unchanged
version could perhaps be construed as permitted under clause (1).

    - this text doesn't even allow to copy amsclass.dtx to amsclass.dtx.bak

Hmm.  Perhaps the name change could be interpreted as part of "if you do
make changes", ie, one possible change is changing the name.  Imagine
cp amsclass.dtx{,.bak}, changing one byte, then reverting the one byte ...


I am straining to find a way to interpret the clauses non-literally
because I agree with you that the wording here is not ideal.  However,
amslatex is not the only issue.  plain.tex and other basic TeX system
files written by DEK (and others) are under a similar license.
Furthermore, tex.web and mf.web are under an even more "restrictive"
license.

I do not believe it is in the overall public interest to ask DEK to
spend one second contemplating these things instead of working on the
Art of Computer Programming.  I am also virtually certain (barbara might
chime in) that it would be a waste of time, as he has made his wishes
clear many, many times and would not be inclined to change anything.
The fact that a literal interpretation of his "license" texts is not
perfectly congruent with his wishes is an unfortunate fact of life.

Needless to say, TeX Live is not ever going to consider TeX as
"nonfree" :).

karl



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Thomas Esser <te@dbs.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 363061@bugs.debian.org (full text, mbox):

From: Thomas Esser <te@dbs.uni-hannover.de>
To: Karl Berry <karl@freefriends.org>
Cc: frank@kuesterei.ch, 363061@bugs.debian.org, texlive@tug.org
Subject: Re: [tex-live] Unclear License of AMSLaTeX
Date: Sat, 29 Apr 2006 00:00:44 +0200
> Furthermore, tex.web and mf.web are under an even more "restrictive"
> license.

This is "blessed" by rms, because of the change file machanism we have.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 363061@bugs.debian.org
Subject: seminar is not DFSG-free, needs relicensing
Date: Fri, 21 Jul 2006 20:57:58 +0200
Hi,

%% Copying of part or all of any file in the seminar.sty package
%% is allowed under the following conditions only:
%% (1) You may freely distribute unchanged copies of the files. Please
%%     include the documentation when you do so.
%% (2) You may modify a renamed copy of any file, but only for personal
%%     use or use within an organization.
%% (3) You may copy fragments from the files, for personal use or for use
%%     in a macro package for distribution, as long as credit is given
%%     where credit is due.
%%
%% You are NOT ALLOWED to take money for the distribution or use of
%% these files or modified versions or fragments thereof, except for
%% a nominal charge for copying etc.

- non-commercial

- renamed copies may not be distributed at all, only "fragments",
  whatever that is.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preuße <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 363061@bugs.debian.org (full text, mbox):

From: Hilmar Preuße <hille42@web.de>
To: Frank Küster <frank@kuesterei.ch>, 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Sat, 22 Jul 2006 17:18:49 +0200
On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:

Hi,

> - non-commercial
> 
> - renamed copies may not be distributed at all, only "fragments",
>   whatever that is.
> 
There is already a bug open. The author stated, that the non-free
license statement is obsolete. He agreed, that anybody can upload an
updated version to CTAN and about a year ago I promised to do so.
Yes, it is still on my list.

H.
-- 
sigfault



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #92 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Hilmar Preuße <hille42@web.de>
Cc: 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Sat, 22 Jul 2006 17:46:10 +0200
Hilmar Preuße <hille42@web.de> wrote:

> On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:
>
> Hi,
>
>> - non-commercial
>> 
>> - renamed copies may not be distributed at all, only "fragments",
>>   whatever that is.
>> 
> There is already a bug open. The author stated, that the non-free
> license statement is obsolete. He agreed, that anybody can upload an
> updated version to CTAN and about a year ago I promised to do so.
> Yes, it is still on my list.

Ah, I didn't know this (or forgot).  What's the new license?  Any idea
when you will manage to to the upload (days, weeks, months, before the
freeze date?).  Do you know whether teTeX 3.0 has the current version (I
guess so)? 

Gruß und Dank, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 363061@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Frank Küster <frank@kuesterei.ch>, 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Mon, 24 Jul 2006 10:30:31 +0200
On 22.07.06 Frank Küster (frank@kuesterei.ch) wrote:
> Hilmar Preuße <hille42@web.de> wrote:
> > On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:

Hi,

> >> - non-commercial
> >> - renamed copies may not be distributed at all, only "fragments",
> >>   whatever that is.
> >> 
> > There is already a bug open. The author stated, that the non-free
> > license statement is obsolete. He agreed, that anybody can upload an
> > updated version to CTAN and about a year ago I promised to do so.
> > Yes, it is still on my list.
> 
> Ah, I didn't know this (or forgot).  What's the new license?
> 
#327741 -> LPPL.

> Any idea when you will manage to to the upload (days, weeks,
> months, before the freeze date?).
> 
I guess, I have just to sit down and do it. I hope the Sommerloch is
coming soon...

> Do you know whether teTeX 3.0 has the current version (I guess so)?
> 
Well, the files on CTAN have changed recently (Sept 05), but I guess
these are still the old ones. I'll have a look at that.

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 363061@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Frank Küster <frank@kuesterei.ch>, 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Wed, 26 Jul 2006 18:24:30 +0200
On 22.07.06 Frank Küster (frank@kuesterei.ch) wrote:
> Hilmar Preuße <hille42@web.de> wrote:
> > On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:

Hi,

> >> - non-commercial
> >> 
> >> - renamed copies may not be distributed at all, only "fragments",
> >>   whatever that is.
> >> 
> > There is already a bug open. The author stated, that the non-free
> > license statement is obsolete. He agreed, that anybody can upload
> > an updated version to CTAN and about a year ago I promised to do
> > so. Yes, it is still on my list.
> 
> Any idea when you will manage to to the upload (days, weeks,
> months, before the freeze date?).  Do you know whether teTeX 3.0
> has the current version (I guess so)?
> 
I had a look at that and could wipe out the non-free license
statements. However there are a lot of files (3-4 liners and "lousy
hacks"), which do not contain any lic statement. Sould I insert the
statement too?

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Hilmar Preusse <hille42@web.de>
Cc: 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Wed, 26 Jul 2006 19:22:48 +0200
Hilmar Preusse <hille42@web.de> wrote:

> On 22.07.06 Frank Küster (frank@kuesterei.ch) wrote:
>> Hilmar Preuße <hille42@web.de> wrote:
>> > On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:
>
> Hi,
>
>> >> - non-commercial
>> >> 
>> >> - renamed copies may not be distributed at all, only "fragments",
>> >>   whatever that is.
>> >> 
>> > There is already a bug open. The author stated, that the non-free
>> > license statement is obsolete. He agreed, that anybody can upload
>> > an updated version to CTAN and about a year ago I promised to do
>> > so. Yes, it is still on my list.
>> 
>> Any idea when you will manage to to the upload (days, weeks,
>> months, before the freeze date?).  Do you know whether teTeX 3.0
>> has the current version (I guess so)?
>> 
> I had a look at that and could wipe out the non-free license
> statements. However there are a lot of files (3-4 liners and "lousy
> hacks"), which do not contain any lic statement. Sould I insert the
> statement too?

Can you send the author's complete mail to you to the bug report?  I
think he's the one to know 

- whether he has the copyright for all parts

- whether everything should be under the new license.

So I'd need the author's statement to be able to answer your question.
Except if you think that the files are so short that there's nothing
copyrightable in them (note that integration of two things by one short
file might be more creative work than a couple of lines seem).

Regards, Frank


-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 363061@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Frank Küster <frank@kuesterei.ch>, 363061@bugs.debian.org
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Thu, 27 Jul 2006 10:11:20 +0200
On 26.07.06 Frank Küster (frank@kuesterei.ch) wrote:
> Hilmar Preusse <hille42@web.de> wrote:

Hi,

[seminar is non-free]
> 
> > I had a look at that and could wipe out the non-free license
> > statements. However there are a lot of files (3-4 liners and
> > "lousy hacks"), which do not contain any lic statement. Sould I
> > insert the statement too?
> 
> Can you send the author's complete mail to you to the bug report?  I
> think he's the one to know 
> 
It's in #327741, sent out last September (14th). You may read the sub
thread I started on "Wed, 14 Sep 2005 21:15:21 +0200".

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Hilmar Preusse <hille42@web.de>
Cc: 363061@bugs.debian.org
Subject: Re: [SPAM?]: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Thu, 27 Jul 2006 13:07:08 +0200
Hilmar Preusse <hille42@web.de> wrote:

> On 26.07.06 Frank Küster (frank@kuesterei.ch) wrote:
>> Hilmar Preusse <hille42@web.de> wrote:
>
> Hi,
>
> [seminar is non-free]
>> 
>> > I had a look at that and could wipe out the non-free license
>> > statements. However there are a lot of files (3-4 liners and
>> > "lousy hacks"), which do not contain any lic statement. Sould I
>> > insert the statement too?
>> 
>> Can you send the author's complete mail to you to the bug report?  I
>> think he's the one to know 
>> 
> It's in #327741, sent out last September (14th). You may read the sub
> thread I started on "Wed, 14 Sep 2005 21:15:21 +0200".

Okay, found it.  Well, there should be no problem at all if the files
are either listed in sem-read.me (it has a list of input files,
documentation and source files), or generated from them.  If you find
anything else, and it is marked as being copyright by Timothy van Zandt,
then it is okay to include them, too.

However, in case of files without any indication who is the author, I'd
rather ask Timothy again.

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #122 received at 363061@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 363061@bugs.debian.org
Cc: Frank Küster <frank@kuesterei.ch>
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Mon, 2 Oct 2006 11:01:51 +0200
On 24.07.06 Hilmar Preusse (hille42@web.de) wrote:
> On 22.07.06 Frank Küster (frank@kuesterei.ch) wrote:
> > Hilmar Preuße <hille42@web.de> wrote:
> > > On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:

Hi Frank,

> > >> - non-commercial
> > >> - renamed copies may not be distributed at all, only "fragments",
> > >>   whatever that is.
> > >> 
> > > There is already a bug open. The author stated, that the non-free
> > > license statement is obsolete. He agreed, that anybody can upload an
> > > updated version to CTAN and about a year ago I promised to do so.
> > > Yes, it is still on my list.
> > 
> > Ah, I didn't know this (or forgot).  What's the new license?
> > 
> #327741 -> LPPL.
> 
> > Any idea when you will manage to to the upload (days, weeks,
> > months, before the freeze date?).
> > 
> I guess, I have just to sit down and do it. I hope the Sommerloch is
> coming soon...
> 
Well, the Sommerloch is probably over and I didn't find the time to
do the job. The chance that I can do that in the near future is
small. I'm sorry for that!

I've uploaded my local modified version to
http://www.amasol.de/~preusse/gfjwnbbjdgnbk/ . If you have the time
to continue please do so. The files I've already modified you'll
recognize on the time stamp...

Thanks,
  Hilmar
-- 
sigmentation fault



Tags added: etch-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #129 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 363061@bugs.debian.org
Cc: 356853@bugs.debian.org
Subject: Our inherited tetex-extra license bugs
Date: Fri, 20 Apr 2007 18:02:20 +0200
Hi,

I have taken the time to check whether these two bugs actually still
apply to any texlive package.

#356853
bbm fonts       (KB: under way)
chapterbib.sty (Donald Arseneau)
concmath       (Ulrik Vieth)
tabls.sty,import.sty,relsize.sty,shapepar.sty,version.sty,selectp.sty (DA)

This is still in texlive (at least some of Donald's files).  I think
I've already tried to contact him, time to do it again.

index.doc (Not In TexLive)
eepic docs
ae (waiting for Florent)

eepic needs to be addressed


#363061
palatcm  (Not In TexLive)
amslatex (under way)
seminar.sty (separate bug, under way)

So this could get a lenny-ignore, in case the AMS people don't get
amslatex sorted out in time.

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug reassigned from package `tetex-extra' to `texlive-latex-base'. Request was from Frank Küster <frank.kuester@eyesense.com> to control@bugs.debian.org. (Wed, 22 Aug 2007 16:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#363061; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #136 received at 363061@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: tex-live@tug.org
Cc: 363061@bugs.debian.org
Subject: Re: [tex-live] texlive license
Date: Wed, 22 Aug 2007 19:46:18 +0200
Barbara Beeton <bnb@ams.org> wrote:

> On Sat, 18 Aug 2007, Karl Berry wrote:
>
>     [...]
>
>     I asked Barbara Beeton at the AMS about taking care of the pcatcode
>     madness, in hopes we can get a free version shortly.  I'm sure they did
>     not intend the current situation.
>
> the current situation was absolutely not
> intended.  the person who now maintains
> amsrefs will change the license information
> for pcatcode to lppl, and the new version
> will be posted as soon as i've been told
> that the change has been made.
>
> the rest of amsrefs will be modified similarly,
> as will all ams-latex files, effective with
> the next regular update, expected (probably)
> sometime in 2008.

Thanks for the news.  Will the 2008 update also contain clarifications
of the amslatex license itself[1], or will that not be sorted out in
time? 

Thanks for your work, 
Frank


[1] as we discussed earlier, the main license text has ambiguous wording
regarding modifications, and there are a couple of files under unclear
licenses. 

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)



Merged 356853 363061. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Thu, 06 Sep 2007 08:00:02 GMT) Full text and rfc822 format available.

Disconnected #356853 from all other report(s). Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Tue, 27 May 2008 21:06:08 GMT) Full text and rfc822 format available.

Reply sent to Frank Küster <frank@kuesterei.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #145 received at 363061-done@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 363061-done@bugs.debian.org
Subject: #RC_bugs--: This is fixed or handled elsewhere
Date: Fri, 13 Jun 2008 22:19:56 +0200
Hi,

as outlined in http://wiki.debian.org/AccumulativeLicensingBugs,
everything discussed in this bug has either been solved or handled in
separate bugs.

By the way, Hilmar, since you seem to do some valuable cleanup work
these days - any interest in resuming your work on
http://bugs.debian.org/327741 ? 

Regards, Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Jul 2008 07:30:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:25:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.